{%- from "designate/map.jinja" import client with context %}

{%- set resources = client.get('resources', {}).get('v2', {}) %}

{%- if resources.get('enabled', False) %}

{%- for zone_name, zone in resources.get('zones', {}).iteritems() %}

designate_zone_{{ zone_name }}:
  designatev2.zone_present:
  - cloud_name: {{ zone.get('cloud_name', resources.cloud_name) }}
  - name: {{ zone.name }}
  - email: {{ zone.email }}

{%- endfor %}
{%- endif %}
